%global pkgname jsonpath-rw
%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:		python-%{pkgname}
Version:	1.2.3
Release:	2%{?dist}
Summary:        Extended implementation of JSONPath for Python

License:	ASL 2.0
URL:		https://github.com/kennknowles/python-jsonpath-rw 
Source0:	https://github.com/kennknowles/python-jsonpath-rw/archive/%{version}.tar.gz 

BuildArch:      noarch
BuildRequires:	python-devel, python-setuptools
Requires:       python-ply
Requires:       python-decorator
Requires:       python-six

%description

This library provides a robust and significantly extended implementation of
JSONPath for Python, with a clear AST for meta-programming. It is tested with
Python 2.6, 2.7, 3.2, 3.3, and PyPy.

This library differs from other JSONPath implementations in that it is a full
language implementation, meaning the JSONPath expressions are first class
objects, easy to analyze, transform, parse, print, and extend.

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary: Extended implementation of JSONPath for Python
Group: Development/Libraries
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires:       python3-ply
Requires:       python3-decorator
Requires:       python3-six

%description -n python3-%{pkgname}

This library provides a robust and significantly extended implementation of
JSONPath for Python, with a clear AST for meta-programming. It is tested with
Python 2.6, 2.7, 3.2, 3.3, and PyPy.

This library differs from other JSONPath implementations in that it is a full
language implementation, meaning the JSONPath expressions are first class
objects, easy to analyze, transform, parse, print, and extend.

%endif

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
Documentation for %{name}.

%prep
%setup -q

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build

%if 0%{?rhel}
 %{__python} setup.py build
%else
 %{__python2} setup.py build
%endif

%if 0%{?with_python3}
 pushd %{py3dir}
 %{__python3} setup.py build
 popd
%endif


%install
%if 0%{?rhel}
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%else
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%endif


%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

%files
%doc README.rst LICENSE
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc README.rst LICENSE
%{python3_sitelib}/*
%endif

%changelog
* Mon Jan 06 2014 Steve Linabery <slinaber@redhat.com> - 1.2.3-2
- Add python3 specific logic around files section for python3 pkg

* Thu Jan 02 2014 Steve Linabery <slinaber@redhat.com> - 1.2.3-1
- Initial packaging for Fedora
